Bug 477479 - Please convert to new font packaging guidelines
Please convert to new font packaging guidelines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vlgothic-fonts (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Akira TAGOH
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11-new-font-rules
  Show dependency treegraph
 
Reported: 2008-12-20 19:43 EST by Nicolas Mailhot
Modified: 2009-02-10 07:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-10 07:12:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-12-20 19:43:21 EST
This bug has been filed because we've detected your package includes one or several font files:                                                                                                                                                             repoquery -C --repoid=rawhide -f '*.ttf' -f '*.otf' -f '*.pfb' -f '*.pfa' --qf='%{SOURCERPM}\n' |sed -e 's+-[0-9.-]*\.fc[123456789]\(.*\)src.rpm++g'|sort|uniq                                                                                                                                                             Unfortunately the script does not detect symlinks to other packages, so if that's your case, you can close this bug report now.                                                                                                                                                              Otherwise, you should know that:                                                                                                                                                              - Fedora guidelines demand the packaging of fonts in a separate package or subpackage: http://fedoraproject.org/wiki/Packaging/Guidelines#Avoid_bundling_of_fonts_in_other_packages                                                                                - our font packaging guidelines recently changed, and every package that ships fonts must be adapted to the new templates available in the fontpackages-devel package. http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_(2008-11-18) http://fedoraproject.org/wiki/Fedora_fonts_policy_package http://fedoraproject.org/wiki/Simple_fonts_spec_template http://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts                                                                                                                                                              Please make your package conform to the current guidelines in rawhide.                                                                                                                                                             If your package is not principaly a font package, depending on a separate font package or subpackage is the prefered solution. If your application does not use fontconfig you can always package symlinks to the files provided by the font package and installed in the correct fontconfig directories.                                                                                                                                                              It is preferred to make a font package or subpackage per font family, though it is not currently a hard guidelines requirement (it may become before Fedora 11 is released). The definition of a font family is given on http://fedoraproject.org/wiki/Fonts_spec_template_notes/font-family                                                                                                                                                              The new templates should make the creation of font subpackages easy and safe.                                                                                                                                                              The following packages have already been converted and can serve as examples: - andika-fonts - apanov-heuristica-fonts - bitstream-vera-fonts - charis-fonts - dejavu-fonts - ecolier-court-fonts - edrip-fonts - gfs-ambrosia-fonts - gfs-artemisia-fonts - gfs-baskerville-fonts - gfs-bodoni-classic-fonts - gfs-bodoni-fonts - gfs-complutum-fonts - gfs-didot-classic-fonts - gfs-didot-fonts - gfs-eustace-fonts - gfs-fleischman-fonts - gfs-garaldus-fonts - gfs-gazis-fonts - gfs-jackson-fonts - gfs-neohellenic-fonts - gfs-nicefore-fonts - gfs-olga-fonts - gfs-porson-fonts - gfs-solomos-fonts - gfs-theokritos-fonts - stix-fonts - yanone-kaffeesatz-fonts                                                                                                                                                           If you have any remaining questions about the new guidelines please ask them on fedora-fonts-list at redhat.com
Comment 1 Nicolas Mailhot 2008-12-20 19:57:39 EST
[Since the bot made a mess of the text here it is again in properly indented form.]

This bug has been filed because we've detected your package includes one or several font files:

repoquery -C --repoid=rawhide -f '*.ttf' -f '*.otf' -f '*.pfb' -f '*.pfa' --qf='%{SOURCERPM}\n' |sed -e 's+-[0-9.-]*\.fc[123456789]\(.*\)src.rpm++g'|sort|uniq

Unfortunately this script does not detect symlinks to other packages, so if that's your case, you can close this bug report now.

Otherwise, you should know that:

— Fedora guidelines demand the packaging of fonts in a separate package (or subpackage):
http://fedoraproject.org/wiki/Packaging/Guidelines#Avoid_bundling_of_fonts_in_other_packages

— our font packaging guidelines recently changed, and every package that ships fonts must be adapted to the new templates available in the fontpackages-devel package:
  – http://fedoraproject.org/wiki/PackagingDrafts/Fonts_packaging_automation_(2008-11-18)
  – http://fedoraproject.org/wiki/Fedora_fonts_policy_packagehttp://fedoraproject.org/wiki/Simple_fonts_spec_templatehttp://fedoraproject.org/wiki/Fonts_spec_template_for_multiple_fonts

Please make your package conform to the current guidelines in rawhide (you can use the fontpackages package in F9 or F10 to test, but only submit changes to rawhide please).

If your package is not principaly a font package, depending on a separate font package or subpackage is the prefered solution. If your application does not use fontconfig you can always package symlinks to the files provided by the font package and installed in the correct fontconfig directories.

It is preferred to create a font package or subpackage per font family, though it is not currently a hard guidelines requirement (it may become before Fedora 11 is released). The definition of a font family is given on:
http://fedoraproject.org/wiki/Fonts_spec_template_notes/font-family

The new templates should make the creation of font subpackages easy and safe.

The following packages have already been converted by their packager and can serve as examples:
❄ andika-fonts
❄ apanov-heuristica-fonts
❄ bitstream-vera-fonts
❄ charis-fonts
❄ dejavu-fonts
❄ ecolier-court-fonts
❄ edrip-fonts
❄ gfs-ambrosia-fonts
❄ gfs-artemisia-fonts
❄ gfs-baskerville-fonts
❄ gfs-bodoni-classic-fonts
❄ gfs-bodoni-fonts
❄ gfs-complutum-fonts
❄ gfs-didot-classic-fonts
❄ gfs-didot-fonts
❄ gfs-eustace-fonts
❄ gfs-fleischman-fonts
❄ gfs-garaldus-fonts
❄ gfs-gazis-fonts
❄ gfs-jackson-fonts
❄ gfs-neohellenic-fonts
❄ gfs-nicefore-fonts
❄ gfs-olga-fonts
❄ gfs-porson-fonts
❄ gfs-solomos-fonts
❄ gfs-theokritos-fonts
❄ stix-fonts
❄ yanone-kaffeesatz-fonts

If you have any remaining questions about the new guidelines please ask them on:
fedora-fonts-list at redhat.com
Comment 2 Akira TAGOH 2009-01-06 22:04:10 EST
will work on this.
Comment 3 Akira TAGOH 2009-01-07 01:32:32 EST
What would you suggest subpackaging for this?

I guess current subpackaging may be not sufficient for new policy.
as per policy, I'm going to have:

- VLGothic-fonts-common for docs etc.
- VLGothic-fonts-gothic for VL-Gothic-Regular.ttf with Obsoletes: VLGothic-fonts < 20081203-2
- VLGothic-fonts-pgothic or VLGothic-fonts-proportional-gothic for VL-PGothic-Regular.ttf with Obsoletes: VLGothic-fonts-proportional < 20081203-2

Does it make sense?
Comment 4 Nicolas Mailhot 2009-01-07 04:23:27 EST
Those other pages that were approved yesterday by FPC (minutes not posted yet) may also be relevant for VLGothic
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_(2008-12-21)
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_(2008-12-22)

You probably want to perform the naming changes at the same time.
To change a srpm naming, the current procedure is to orphan the old package in rawhide, and post a review request with the new name (I'll approve it as a matter of course if you do so)

This will be discussed this evening by FESCO, you may want to add some input here
http://fedoraproject.org/wiki/PackagingDrafts/RenamingPackages

As for the upgrade path, you have two choices:
1. If there is a clear mapping between the old packages and the new packages, use obsoletes inside the packages
2. If there is not use a compat package to garbage collect the old packages as has been done for dejavu in rawhide
Comment 5 Nicolas Mailhot 2009-01-11 10:20:37 EST
To help packagers manage the transition to the new guidelines, we've published the following FAQ

http://fedoraproject.org/wiki/Shipping_fonts_in_other_packages_(FAQ)
Comment 6 Nicolas Mailhot 2009-01-14 13:38:19 EST
FPC approved those two additional guidelines recently, please take them into account if you need to create or update a fonts package or subpackage:

– 2009-01-14: naming
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_naming_%282009-01-13%29

— 2009-01-06: exact splitting rules
http://fedoraproject.org/wiki/PackagingDrafts/Font_package_splitting_rules_%282008-12-21%29

(packagers that can drop font files and just depend on an existing font package are not impacted)
Comment 7 Akira TAGOH 2009-01-29 21:20:25 EST
I'm still trying to have a better name for subpackage.

I'm quite not sure if we should treat a proportional designed gothic typeface as different font family name to gothic typeface. if we do, which name could we recognize as a family name? is "pgothic" a common sense for that as it's named? or should we have "proportional-gothic" as a family name?

I impressed "proportional-gothic" is too long. if you have any suggestion, it would be appreciated.
Comment 8 Nicolas Mailhot 2009-01-30 01:45:54 EST
1. if you have different font families, surely they declare different family names (or apps would not be able to select one instead of the other) ?
2. if they declare different family names, just use those names in the package naming
3. no proportional-gothic is not too long
Comment 9 Akira TAGOH 2009-01-30 06:32:18 EST
(In reply to comment #8)
> 1. if you have different font families, surely they declare different family
> names (or apps would not be able to select one instead of the other) ?
> 2. if they declare different family names, just use those names in the package
> naming
> 3. no proportional-gothic is not too long

well, author declares its family names, VL Gothic and VL PGothic though. just making a package name as vlgothic-vl-gothic-fonts and vlgothic-vl-pgothic-fonts is redundant?
Comment 10 Nicolas Mailhot 2009-01-30 08:33:08 EST
if you follow the documented naming rules you'll end up with
vlgothic-fonts as srpm name
and 
vlgothic-fonts
vlgothic-p-fonts
vlgothic-fonts-common
as subpackage names
(assuming you don't use a foundry prefix, you're the judge if one is necessary or what it can be)
Comment 11 Akira TAGOH 2009-02-02 20:54:45 EST
hmm, so are you saying that "gothic" isn't a family name or just get rid of it because of duplicate to the project name? then what I should do in this package for new policy is just to make the package name lower-case. I'd a bit prefer vlgothic-proportional-fonts rather than vlgothic-p-fonts.
Comment 12 Nicolas Mailhot 2009-02-03 02:15:39 EST
read the naming guidelines carefully; you'll see we try very hard to avoid unnecessary repetitions, and to get something close to what the font files declare in their metadata
Comment 13 Jens Petersen 2009-02-03 03:50:42 EST
Just to explain that AFAIK the only difference between the two faces is in the non-Japanese glyphs, so it only affects apps where the font is explicitly chosen, eg openoffice and user config of fonts in other apps.

VL Gothic is a fixed width font (ie Latin glyphs are half-width of Japanese character, so good for monospace)
VL PGothic is variable width in Latin glyphs (so more natural for sans,serif)
(Japanese glyphs are always fixed and full width)
Comment 14 Akira TAGOH 2009-02-04 08:49:11 EST
Ok, I see.

Filed a package review for renaming. Bug#484042.
Comment 15 Akira TAGOH 2009-02-10 07:12:53 EST
new package has been approved and available on devel, F-10 and F-9 now.

Note You need to log in before you can comment on or make changes to this bug.